<?php
// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit;
}
?>
<div class="wrap gspb_welcome_div_container">
    <style>
        .gs_grid {
            grid-template-columns: repeat(1, minmax(0, 1fr));
            display: grid;
        }

        .gs_grid_2 {
            display: flex;
            flex-direction: column;
            gap: 15px
        }

        @media (min-width: 1024px) {
            .gs_grid {
                grid-template-columns: repeat(3, minmax(0, 1fr));
                gap: 2.5rem;
            }

            .gs_grid_1 {
                grid-column: span 2 / span 2;
                padding: 20px 40px !important
            }
        }

        #wpcontent {
            background: #f8fafc;
            padding: 0;
        }

        .wrap {
            margin: 0 auto;
        }

        .wrap .notice,
        .wrap .error {
            display: none
        }

        .wrap h2 {
            font-size: 1.4em;
            margin-bottom: 1.5em;
            margin-top: 0;
            font-weight: bold;
        }

        .greenshift_form {
            padding: 15px 25px 25px 25px;
            background: #fff;
            box-shadow: 0 0 3px 0 rgb(0 0 0 / 10%), 0 1px 2px -1px rgb(0 0 0 / 10%);
            overflow: hidden;
        }

        .greenshift_form .form-table {
            margin-top: 0
        }

        .gs-introtext {
            font-size: 14px;
            line-height: 22.4px;
            color: rgb(100 116 139);
            margin-bottom: 30px;
        }

        .gs-intro-video iframe {
            box-shadow: 10px 10px 20px rgb(0 0 0 / 15%);
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            border: 0;
        }

        .gs-intro-video {
            position: relative;
            width: 100%;
            padding-bottom: 56.25%;
            margin-bottom: 40px
        }

        .wrap h1 {
            font-size: 1.8rem;
        }

        .gs-padd {
            text-align: left;
            margin: 2.5em auto;
            max-width: 80rem;
            padding: 25px
        }

        .rtl .gs-padd {
            text-align: right
        }

        .wp-core-ui .button-primary {
            background-color: #2184f9
        }

        .nav-tab {
            font-size: 16px;
            border: none;
            padding: 10px 20px;
            background: none;
            border-bottom: 2px solid transparent;
        }

        .nav-tab-active,
        .nav-tab-active:focus,
        .nav-tab-active:focus:active,
        .nav-tab:hover {
            border-bottom: 2px solid #2184f9;
            background: #fff;
            color: #2184f9;
        }

        .nav-tab-wrapper {
            padding-left: 20px;
            background: white;
            border-bottom: 1px solid #edeff5;
        }

        .nav-tab-wrapper>div {
            margin: 0 auto;
            max-width: 80rem
        }

        .wrap .fs-notice {
            margin: 0 25px 35px 25px !important
        }

        .wrap .fs-plugin-title {
            display: none !important
        }

        .mb30 {
            margin-bottom: 30px
        }

        .gs_main_text {
            font-size: 15px;
            margin-bottom: 12px;
        }

        .gs_main_text a {
            color: #2184f9
        }
    </style>
    <nav class="nav-tab-wrapper">
        <div>
            <a href="<?php echo admin_url('admin.php?page=greenshift_dashboard');?>" class="nav-tab nav-tab-active">
                <?php esc_html_e("Getting Started", 'greenshift-animation-and-page-builder-blocks'); ?>
            </a>
            <a href="<?php echo admin_url('admin.php?page=greenshift');?>" class="nav-tab">
                <?php esc_html_e("Settings", 'greenshift-animation-and-page-builder-blocks'); ?>
            </a>
            <a href="<?php echo admin_url('admin.php?page=greenshift_dashboard-addons');?>" class="nav-tab">
                <?php esc_html_e("Addons", 'greenshift-animation-and-page-builder-blocks'); ?>
            </a>
            <a href="<?php echo admin_url('admin.php?page=greenshift_upgrade');?>" class="nav-tab">
                <?php esc_html_e("Upgrade", 'greenshift-animation-and-page-builder-blocks'); ?>
            </a>
            <a href="<?php echo admin_url('admin.php?page=greenshift_contact');?>" class="nav-tab">
                <?php esc_html_e("Contact Us", 'greenshift-animation-and-page-builder-blocks'); ?>
            </a>
        </div>
    </nav>
    <div class="gs-padd">
        <div class="gs_grid">
            <div class="greenshift_form gs_grid_1">
                <h1><?php esc_html_e("Getting Started with Greenshift", 'greenshift-animation-and-page-builder-blocks'); ?></h1>

                <p class="gs-introtext"><?php esc_html_e("Thank you for using Greenshift, full site page and animation builder with high performance and optimisation. Greenshift plugin is easy to use but we recommend to study materials on this page to get maximum functionality, better productivity and unique features.", 'greenshift-animation-and-page-builder-blocks'); ?></p>
                <div class="gs-intro-video"><iframe src="https://www.youtube.com/embed/3xbQcQ5LDEc" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe></div>
            </div>
            <div class="gs_grid_2">
                <div class="greenshift_form">
                    <h3><?php esc_html_e("Recommended tutorials", 'greenshift-animation-and-page-builder-blocks'); ?></h3>

                    <div class="gs_main_text"><a href="https://youtu.be/Pvaqjz16QHk" target="_blank"><?php esc_html_e("Layout Options - start here", 'greenshift-animation-and-page-builder-blocks'); ?></a></div>
                    <div class="gs_main_text"><a href="https://www.youtube.com/watch?v=ijo7sBKGPIQ" target="_blank"><?php esc_html_e("In depth overview of unique options", 'greenshift-animation-and-page-builder-blocks'); ?></a></div>
                    <div class="gs_main_text"><a href="https://www.youtube.com/watch?v=pIz5U5eq2bQ" target="_blank"><?php esc_html_e("How to Use Presets", 'greenshift-animation-and-page-builder-blocks'); ?></a></div>
                    <div class="gs_main_text"><a href="https://youtube.com/playlist?list=PLIEKo1RENmYxbs3yL3nMuOzJJ0AY6GvQ2" target="_blank"><?php esc_html_e("Animation Addon overview", 'greenshift-animation-and-page-builder-blocks'); ?></a></div>
                    <div class="gs_main_text"><a href="https://www.youtube.com/playlist?list=PLIEKo1RENmYynw2olUEr8-wq7RDA3CQFQ" target="_blank"><?php esc_html_e("Overview of Dynamic fields", 'greenshift-animation-and-page-builder-blocks'); ?></a></div>
                </div>
                <div class="greenshift_form">
                    <h3><?php esc_html_e("Get support", 'greenshift-animation-and-page-builder-blocks'); ?></h3>
                    <p class="gs_intro_text"><?php esc_html_e("Do you need help. Check our official support channels and feel free to use them.", 'greenshift-animation-and-page-builder-blocks'); ?></p>
                    <div class="gs_main_text"><a href="?page=greenshift_contact">
                            <?php esc_html_e("Contact Us", 'greenshift-animation-and-page-builder-blocks'); ?>
                        </a></div>
                </div>
                <div class="greenshift_form">
                    <h3><?php esc_html_e("Our community", 'greenshift-animation-and-page-builder-blocks'); ?></h3>
                    <p class="gs_intro_text"><?php esc_html_e("Do you want to share some ideas, recommendations or simply want to introduce your site on our plugin or theme. Check our community channels", 'greenshift-animation-and-page-builder-blocks'); ?></p>
                    <div style="display:flex; gap:10px">                        
                        <a href="https://twitter.com/GreenshiftWP" target="_blank">
                            <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0px" y="0px" viewBox="0 0 122.88 37.203" enable-background="new 0 0 122.88 37.203" xml:space="preserve" style="width: 120px;">
                                <g>
                                    <path fill-rule="evenodd" clip-rule="evenodd" fill="#1DA1F2" d="M120.115,0H2.766C1.243,0,0,1.243,0,2.765v31.673 c0,1.522,1.243,2.766,2.766,2.766h117.35c1.522,0,2.765-1.243,2.765-2.766V2.765C122.88,1.243,121.638,0,120.115,0L120.115,0 L120.115,0L120.115,0z"></path>
                                    <polygon fill="#1A91DA" points="33.263,36.232 33.263,0 35.075,0 35.075,36.232 33.263,36.232"></polygon>
                                    <path fill="#056CAB" d="M0.426,33.681c0,0.702,0.287,1.34,0.749,1.802c0.461,0.463,1.1,0.75,1.803,0.75h116.924 c0.702,0,1.341-0.287,1.803-0.748c0.462-0.464,0.749-1.102,0.749-1.804l0.426-31.339v31.339c0,0.819-0.335,1.564-0.874,2.104 c-0.54,0.539-1.285,0.874-2.104,0.874H2.979c-0.819,0-1.564-0.335-2.104-0.875C0.335,35.245,0,34.5,0,33.681V2.342L0.426,33.681 L0.426,33.681z"></path>
                                    <path fill="#1A72AD" d="M51.718,19.243l-0.175,2.331l-2.108-0.096h-0.192l-0.08,4.52l0.127,3.353h-3.194l0.16-3.033l-0.08-4.839 h-0.208l-2.124,0.096l-0.192-0.224l0.176-2.331h7.713L51.718,19.243L51.718,19.243z M63.358,29.351h-3.385l-0.974-3.736h-0.191 l-0.894,3.736h-3.401L52.085,19.02h3.098l0.16,1.597l1.006,5.525h0.191l1.198-4.711l-0.543-2.411h3.226l0.224,1.916l1.085,5.206 h0.191l1.262-5.334l0.287-1.788h2.938L63.358,29.351L63.358,29.351z M70.305,25.998l0.128,3.353h-3.21l0.159-3.033l-0.159-7.298 h3.258L70.305,25.998L70.305,25.998z M79.678,19.243l-0.176,2.331l-2.107-0.096h-0.191l-0.08,4.52l0.128,3.353h-3.194l0.16-3.033 l-0.08-4.839H73.93l-2.124,0.096l-0.191-0.224l0.176-2.331h7.712L79.678,19.243L79.678,19.243z M87.965,19.243l-0.175,2.331 l-2.108-0.096H85.49l-0.08,4.52l0.128,3.353h-3.193l0.159-3.033l-0.079-4.839h-0.208l-2.124,0.096l-0.191-0.224l0.176-2.331h7.713 L87.965,19.243L87.965,19.243z M96.173,26.796l0.176,0.224l-0.191,2.331h-7.282l0.16-3.033l-0.16-7.298h7.409l0.176,0.224 l-0.207,2.331l-2.539-0.096h-1.645l-0.032,1.453h1.581l1.66-0.048l0.176,0.224l-0.191,2.331l-1.853-0.048h-1.438l-0.016,0.607 l0.032,0.894h1.533L96.173,26.796L96.173,26.796z M104.316,25.279c0.767,1.192,1.533,2.299,2.3,3.321l-0.048,0.352 c-1.086,0.33-2.156,0.526-3.21,0.591l-0.303-0.256l-0.192-0.399c-0.085-0.17-0.255-0.529-0.511-1.077 c-0.256-0.549-0.479-1.063-0.671-1.541h-1.069l0.111,3.081h-3.209l0.159-3.033l-0.159-7.298l4.902-0.016 c1.16,0,2.054,0.273,2.683,0.822c0.628,0.548,0.941,1.338,0.941,2.371c0,0.606-0.151,1.177-0.455,1.709 S104.859,24.896,104.316,25.279L104.316,25.279z M102.672,22.517c0-0.426-0.109-0.742-0.327-0.95 c-0.219-0.207-0.572-0.322-1.063-0.343l-0.574,0.048l-0.064,2.666l1.166,0.064c0.298-0.139,0.517-0.325,0.655-0.56 C102.603,23.209,102.672,22.899,102.672,22.517L102.672,22.517z"></path>
                                    <path fill="#1A72AD" d="M45.244,9.258l-0.028,1.376h0.743l1.027-0.027l0.083,0.11l-0.092,1.101L45.85,11.79h-0.651l-0.01,0.321 l0.056,1.899h-1.496l0.083-1.752l-0.083-4.165h3.706l0.083,0.11l-0.101,1.101l-1.431-0.055L45.244,9.258L45.244,9.258z M50.796,8.001c0.844,0,1.495,0.252,1.954,0.757c0.459,0.504,0.688,1.222,0.688,2.151c0,1.015-0.251,1.803-0.752,2.362 s-1.208,0.839-2.119,0.839c-0.838,0-1.486-0.259-1.945-0.775s-0.688-1.249-0.688-2.197c0-1.002,0.249-1.776,0.748-2.32 C49.18,8.273,49.885,8.001,50.796,8.001L50.796,8.001z M50.668,9.193c-0.288,0-0.517,0.057-0.688,0.17 c-0.171,0.113-0.297,0.297-0.376,0.551c-0.08,0.253-0.119,0.598-0.119,1.032c0,0.52,0.04,0.928,0.119,1.225 c0.08,0.297,0.207,0.509,0.381,0.638s0.411,0.193,0.711,0.193c0.293,0,0.526-0.057,0.697-0.17c0.171-0.113,0.295-0.298,0.371-0.555 c0.077-0.257,0.115-0.608,0.115-1.055c0-0.514-0.04-0.917-0.12-1.211c-0.079-0.294-0.205-0.503-0.376-0.628 C51.212,9.256,50.974,9.193,50.668,9.193L50.668,9.193z M57.954,12.9l-0.101,1.11h-3.33l0.083-1.752l-0.083-4.165h1.514 l-0.083,4.018l0.027,0.679h1.881L57.954,12.9L57.954,12.9z M62.332,12.9l-0.101,1.11h-3.331l0.083-1.752l-0.083-4.165h1.514 l-0.083,4.018l0.028,0.679h1.88L62.332,12.9L62.332,12.9z M65.499,8.001c0.844,0,1.495,0.252,1.954,0.757s0.688,1.222,0.688,2.151 c0,1.015-0.251,1.803-0.753,2.362c-0.501,0.56-1.207,0.839-2.119,0.839c-0.838,0-1.485-0.259-1.944-0.775s-0.688-1.249-0.688-2.197 c0-1.002,0.249-1.776,0.748-2.32C63.883,8.273,64.588,8.001,65.499,8.001L65.499,8.001z M65.371,9.193 c-0.288,0-0.517,0.057-0.688,0.17c-0.171,0.113-0.297,0.297-0.376,0.551c-0.08,0.253-0.119,0.598-0.119,1.032 c0,0.52,0.039,0.928,0.119,1.225c0.079,0.297,0.206,0.509,0.381,0.638c0.174,0.128,0.411,0.193,0.711,0.193 c0.294,0,0.525-0.057,0.697-0.17c0.171-0.113,0.295-0.298,0.371-0.555c0.077-0.257,0.115-0.608,0.115-1.055 c0-0.514-0.04-0.917-0.119-1.211c-0.08-0.294-0.205-0.503-0.377-0.628C65.915,9.256,65.677,9.193,65.371,9.193L65.371,9.193z M74.877,14.01h-1.569l-0.742-2.55h-0.092l-0.734,2.55h-1.577l-1.551-5.917h1.449L70.152,8.9l0.854,3.596h0.092l0.871-2.99 l-0.367-1.413h1.505l0.128,0.954l0.891,3.449h0.091l1.001-3.514l0.155-0.89h1.376L74.877,14.01L74.877,14.01z M84.119,11.093 l-0.009,0.853c0.006,0.691-0.207,1.223-0.638,1.596c-0.432,0.373-1.044,0.56-1.839,0.56c-0.771,0-1.359-0.184-1.767-0.55 c-0.406-0.367-0.601-0.893-0.582-1.578l0.018-0.899l-0.036-2.981h1.486l-0.064,3.679c-0.006,0.391,0.073,0.679,0.238,0.862 s0.422,0.275,0.771,0.275c0.355,0,0.616-0.09,0.784-0.27c0.169-0.181,0.25-0.458,0.243-0.831l-0.063-3.715h1.514L84.119,11.093 L84.119,11.093z M87.69,8.001c0.526,0,1.058,0.104,1.597,0.312l-0.239,1.248l-0.22,0.083c-0.232-0.153-0.465-0.272-0.697-0.358 c-0.232-0.085-0.435-0.128-0.605-0.128c-0.202,0-0.362,0.05-0.481,0.151c-0.119,0.101-0.179,0.219-0.179,0.354 c0,0.153,0.074,0.283,0.225,0.39c0.149,0.107,0.387,0.234,0.711,0.381c0.342,0.159,0.619,0.304,0.83,0.436 c0.211,0.131,0.395,0.307,0.55,0.527c0.156,0.22,0.234,0.489,0.234,0.807c0,0.355-0.097,0.676-0.289,0.963 s-0.467,0.515-0.821,0.684c-0.354,0.168-0.764,0.252-1.229,0.252c-0.617,0-1.229-0.122-1.834-0.367l0.211-1.33l0.156-0.091 c0.256,0.214,0.536,0.38,0.839,0.5c0.303,0.119,0.564,0.179,0.784,0.179c0.232,0,0.408-0.052,0.527-0.156 c0.12-0.104,0.18-0.227,0.18-0.367c0-0.166-0.077-0.303-0.229-0.413c-0.153-0.11-0.392-0.239-0.716-0.386 c-0.33-0.153-0.601-0.295-0.812-0.426c-0.212-0.131-0.394-0.308-0.546-0.527c-0.153-0.221-0.229-0.489-0.229-0.808 c0-0.361,0.097-0.687,0.289-0.977s0.461-0.518,0.807-0.684C86.848,8.084,87.244,8.001,87.69,8.001L87.69,8.001z M94.759,8.001 c0.844,0,1.495,0.252,1.954,0.757c0.458,0.504,0.688,1.222,0.688,2.151c0,1.015-0.251,1.803-0.753,2.362 c-0.501,0.56-1.208,0.839-2.119,0.839c-0.838,0-1.486-0.259-1.944-0.775c-0.459-0.517-0.688-1.249-0.688-2.197 c0-1.002,0.249-1.776,0.748-2.32C93.143,8.273,93.848,8.001,94.759,8.001L94.759,8.001z M94.63,9.193 c-0.287,0-0.517,0.057-0.688,0.17s-0.297,0.297-0.376,0.551c-0.08,0.253-0.119,0.598-0.119,1.032c0,0.52,0.039,0.928,0.119,1.225 c0.079,0.297,0.206,0.509,0.381,0.638c0.174,0.128,0.411,0.193,0.711,0.193c0.293,0,0.525-0.057,0.697-0.17 c0.171-0.113,0.295-0.298,0.371-0.555c0.076-0.257,0.114-0.608,0.114-1.055c0-0.514-0.039-0.917-0.119-1.211 c-0.079-0.294-0.205-0.503-0.376-0.628C95.175,9.256,94.937,9.193,94.63,9.193L94.63,9.193z M103.586,12.139l0.055,1.871h-1.614 l-2.101-3.66h-0.092l-0.009,1.578l0.055,2.082h-1.349l0.073-1.743l-0.073-4.174h1.605l2.11,3.661h0.091l-0.036-3.605l1.367-0.083 L103.586,12.139L103.586,12.139z"></path>
                                    <path fill="#FFFFFF" d="M45.244,8.917l-0.028,1.376h0.743l1.027-0.027l0.083,0.11l-0.092,1.101l-1.128-0.027h-0.651l-0.01,0.321 l0.056,1.899h-1.496l0.083-1.752l-0.083-4.165h3.706l0.083,0.11l-0.101,1.101l-1.431-0.055L45.244,8.917L45.244,8.917z M50.796,7.66c0.844,0,1.495,0.252,1.954,0.757c0.459,0.505,0.688,1.222,0.688,2.151c0,1.015-0.251,1.803-0.752,2.362 s-1.208,0.839-2.119,0.839c-0.838,0-1.486-0.258-1.945-0.775c-0.458-0.517-0.688-1.249-0.688-2.197 c0-1.003,0.249-1.777,0.748-2.321C49.18,7.933,49.885,7.66,50.796,7.66L50.796,7.66z M50.668,8.853 c-0.288,0-0.517,0.057-0.688,0.169c-0.171,0.113-0.297,0.297-0.376,0.551c-0.08,0.253-0.119,0.598-0.119,1.032 c0,0.52,0.04,0.928,0.119,1.225c0.08,0.297,0.207,0.509,0.381,0.638c0.174,0.129,0.411,0.193,0.711,0.193 c0.293,0,0.526-0.057,0.697-0.17s0.295-0.298,0.371-0.555c0.077-0.257,0.115-0.608,0.115-1.055c0-0.514-0.04-0.917-0.12-1.211 c-0.079-0.293-0.205-0.503-0.376-0.628S50.974,8.853,50.668,8.853L50.668,8.853z M57.954,12.559l-0.101,1.11h-3.33l0.083-1.752 l-0.083-4.165h1.514l-0.083,4.018l0.027,0.679h1.881L57.954,12.559L57.954,12.559z M62.332,12.559l-0.101,1.11h-3.331l0.083-1.752 l-0.083-4.165h1.514l-0.083,4.018l0.028,0.679h1.88L62.332,12.559L62.332,12.559z M65.499,7.66c0.844,0,1.495,0.252,1.954,0.757 c0.459,0.505,0.688,1.222,0.688,2.151c0,1.015-0.251,1.803-0.753,2.362c-0.501,0.56-1.207,0.839-2.119,0.839 c-0.838,0-1.485-0.258-1.944-0.775c-0.459-0.517-0.688-1.249-0.688-2.197c0-1.003,0.249-1.777,0.748-2.321 C63.883,7.933,64.588,7.66,65.499,7.66L65.499,7.66z M65.371,8.853c-0.288,0-0.517,0.057-0.688,0.169 c-0.171,0.113-0.297,0.297-0.376,0.551c-0.08,0.253-0.119,0.598-0.119,1.032c0,0.52,0.039,0.928,0.119,1.225 c0.079,0.297,0.206,0.509,0.381,0.638c0.174,0.129,0.411,0.193,0.711,0.193c0.294,0,0.525-0.057,0.697-0.17 c0.171-0.113,0.295-0.298,0.371-0.555c0.077-0.257,0.115-0.608,0.115-1.055c0-0.514-0.04-0.917-0.119-1.211 c-0.08-0.293-0.205-0.503-0.377-0.628C65.915,8.916,65.677,8.853,65.371,8.853L65.371,8.853z M74.877,13.669h-1.569l-0.742-2.55 h-0.092l-0.734,2.55h-1.577l-1.551-5.917h1.449l0.092,0.808l0.854,3.596h0.092l0.871-2.99l-0.367-1.413h1.505l0.128,0.954 l0.891,3.449h0.091l1.001-3.513l0.155-0.89h1.376L74.877,13.669L74.877,13.669z M84.119,10.752l-0.009,0.853 c0.006,0.691-0.207,1.223-0.638,1.596c-0.432,0.374-1.044,0.56-1.839,0.56c-0.771,0-1.359-0.184-1.767-0.55 c-0.406-0.367-0.601-0.893-0.582-1.578l0.018-0.899l-0.036-2.981h1.486l-0.064,3.679c-0.006,0.392,0.073,0.679,0.238,0.862 s0.422,0.275,0.771,0.275c0.355,0,0.616-0.09,0.784-0.271c0.169-0.181,0.25-0.458,0.243-0.831l-0.063-3.715h1.514L84.119,10.752 L84.119,10.752z M87.69,7.66c0.526,0,1.058,0.104,1.597,0.312L89.048,9.22l-0.22,0.083c-0.232-0.153-0.465-0.272-0.697-0.357 c-0.232-0.086-0.435-0.128-0.605-0.128c-0.202,0-0.362,0.05-0.481,0.151c-0.119,0.101-0.179,0.218-0.179,0.353 c0,0.153,0.074,0.283,0.225,0.39c0.149,0.107,0.387,0.234,0.711,0.381c0.342,0.159,0.619,0.304,0.83,0.436 c0.211,0.131,0.395,0.307,0.55,0.527c0.156,0.22,0.234,0.489,0.234,0.807c0,0.355-0.097,0.676-0.289,0.963 c-0.192,0.288-0.467,0.515-0.821,0.684c-0.354,0.168-0.764,0.252-1.229,0.252c-0.617,0-1.229-0.122-1.834-0.367l0.211-1.331 l0.156-0.091c0.256,0.214,0.536,0.38,0.839,0.5c0.303,0.119,0.564,0.179,0.784,0.179c0.232,0,0.408-0.052,0.527-0.156 c0.12-0.104,0.18-0.227,0.18-0.367c0-0.165-0.077-0.303-0.229-0.413c-0.153-0.11-0.392-0.239-0.716-0.386 c-0.33-0.153-0.601-0.295-0.812-0.426c-0.212-0.131-0.394-0.308-0.546-0.527c-0.153-0.22-0.229-0.489-0.229-0.808 c0-0.361,0.097-0.687,0.289-0.977s0.461-0.518,0.807-0.683S87.244,7.66,87.69,7.66L87.69,7.66z M94.759,7.66 c0.844,0,1.495,0.252,1.954,0.757c0.458,0.505,0.688,1.222,0.688,2.151c0,1.015-0.251,1.803-0.753,2.362 c-0.501,0.56-1.208,0.839-2.119,0.839c-0.838,0-1.486-0.258-1.944-0.775c-0.459-0.517-0.688-1.249-0.688-2.197 c0-1.003,0.249-1.777,0.748-2.321C93.143,7.933,93.848,7.66,94.759,7.66L94.759,7.66z M94.63,8.853 c-0.287,0-0.517,0.057-0.688,0.169c-0.171,0.113-0.297,0.297-0.376,0.551c-0.08,0.253-0.119,0.598-0.119,1.032 c0,0.52,0.039,0.928,0.119,1.225c0.079,0.297,0.206,0.509,0.381,0.638c0.174,0.129,0.411,0.193,0.711,0.193 c0.293,0,0.525-0.057,0.697-0.17c0.171-0.113,0.295-0.298,0.371-0.555c0.076-0.257,0.114-0.608,0.114-1.055 c0-0.514-0.039-0.917-0.119-1.211c-0.079-0.293-0.205-0.503-0.376-0.628S94.937,8.853,94.63,8.853L94.63,8.853z M103.586,11.798 l0.055,1.871h-1.614l-2.101-3.66h-0.092l-0.009,1.578l0.055,2.082h-1.349l0.073-1.743l-0.073-4.174h1.605l2.11,3.661h0.091 l-0.036-3.605l1.367-0.083L103.586,11.798L103.586,11.798z"></path>
                                    <path fill="#FFFFFF" d="M51.718,18.776l-0.175,2.332l-2.108-0.096h-0.192l-0.08,4.519l0.127,3.354h-3.194l0.16-3.034l-0.08-4.838 h-0.208l-2.124,0.096l-0.192-0.224l0.176-2.332h7.713L51.718,18.776L51.718,18.776z M63.358,28.884h-3.385l-0.974-3.736h-0.191 l-0.894,3.736h-3.401l-2.427-10.332h3.098l0.16,1.597l1.006,5.524h0.191l1.198-4.71l-0.543-2.412h3.226l0.224,1.917l1.085,5.205 h0.191l1.262-5.333l0.287-1.789h2.938L63.358,28.884L63.358,28.884z M70.305,25.53l0.128,3.354h-3.21l0.159-3.034l-0.159-7.297 h3.258L70.305,25.53L70.305,25.53z M79.678,18.776l-0.176,2.332l-2.107-0.096h-0.191l-0.08,4.519l0.128,3.354h-3.194l0.16-3.034 l-0.08-4.838H73.93l-2.124,0.096l-0.191-0.224l0.176-2.332h7.712L79.678,18.776L79.678,18.776z M87.965,18.776l-0.175,2.332 l-2.108-0.096H85.49l-0.08,4.519l0.128,3.354h-3.193l0.159-3.034l-0.079-4.838h-0.208l-2.124,0.096l-0.191-0.224l0.176-2.332h7.713 L87.965,18.776L87.965,18.776z M96.173,26.329l0.176,0.224l-0.191,2.331h-7.282l0.16-3.034l-0.16-7.297h7.409l0.176,0.224 l-0.207,2.332l-2.539-0.096h-1.645l-0.032,1.453h1.581l1.66-0.048l0.176,0.224l-0.191,2.331l-1.853-0.048h-1.438l-0.016,0.606 l0.032,0.895h1.533L96.173,26.329L96.173,26.329z M104.316,24.812c0.767,1.192,1.533,2.3,2.3,3.321l-0.048,0.352 c-1.086,0.33-2.156,0.527-3.21,0.591l-0.303-0.255l-0.192-0.399c-0.085-0.171-0.255-0.529-0.511-1.078 c-0.256-0.548-0.479-1.062-0.671-1.541h-1.069l0.111,3.082h-3.209l0.159-3.034l-0.159-7.297l4.902-0.016 c1.16,0,2.054,0.274,2.683,0.823c0.628,0.548,0.941,1.338,0.941,2.371c0,0.606-0.151,1.176-0.455,1.708 S104.859,24.429,104.316,24.812L104.316,24.812z M102.672,22.05c0-0.426-0.109-0.743-0.327-0.95 c-0.219-0.208-0.572-0.322-1.063-0.344l-0.574,0.048l-0.064,2.667l1.166,0.063c0.298-0.138,0.517-0.324,0.655-0.559 C102.603,22.741,102.672,22.433,102.672,22.05L102.672,22.05z"></path>
                                    <path fill="#FFFFFF" d="M26.478,12.671c-0.705,0.315-1.462,0.523-2.252,0.619c0.812-0.486,1.431-1.254,1.724-2.172 c-0.758,0.448-1.601,0.774-2.493,0.95c-0.715-0.764-1.735-1.233-2.867-1.233c-2.167,0-3.923,1.756-3.923,3.923 c0,0.304,0.032,0.603,0.102,0.892c-3.262-0.166-6.149-1.724-8.087-4.099c-0.347,0.598-0.528,1.281-0.528,1.969l0,0 c0,1.361,0.688,2.562,1.745,3.261c-0.64-0.021-1.249-0.197-1.777-0.491v0.048c0,1.9,1.351,3.491,3.149,3.848 c-0.331,0.091-0.678,0.139-1.036,0.139c-0.25,0-0.497-0.026-0.742-0.069c0.501,1.559,1.948,2.69,3.662,2.728 c-1.345,1.052-3.032,1.682-4.874,1.682c-0.32,0-0.63-0.021-0.934-0.059c1.74,1.115,3.8,1.762,6.016,1.762 c7.216,0,11.167-5.979,11.167-11.167c0-0.17-0.005-0.341-0.011-0.507C25.288,14.15,25.95,13.461,26.478,12.671L26.478,12.671 L26.478,12.671L26.478,12.671L26.478,12.671L26.478,12.671z"></path>
                                </g>
                            </svg>
                        </a>
                        <a href="https://www.facebook.com/groups/greenshiftwp" target="_blank">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 122.88 34.35" width="120px">
                                <defs>
                                    <style>
                                        .cls-1 {
                                            fill: #1877f2;
                                            fill-rule: evenodd;
                                        }

                                        .cls-2 {
                                            fill: #166bda;
                                        }

                                        .cls-3 {
                                            fill: #233b6e;
                                        }

                                        .cls-4 {
                                            fill: #fff;
                                        }
                                    </style>
                                </defs>
                                <title>follow-us-on-facebook</title>
                                <path class="cls-1" d="M120.33,0H2.55A2.56,2.56,0,0,0,0,2.55V31.79a2.56,2.56,0,0,0,2.55,2.56H120.33a2.56,2.56,0,0,0,2.55-2.56V2.55A2.56,2.56,0,0,0,120.33,0Z" />
                                <polygon class="cls-2" points="30.71 33.45 30.71 0 32.38 0 32.38 33.45 30.71 33.45 30.71 33.45" />
                                <path class="cls-3" d="M42.72,20l0,1.71h1l1.71,0,.17.21-.18,2.15L43.47,24h-.86v.2l.12,3.09h-3l.15-2.8-.15-6.74h6.37l.16.21-.19,2.15L43.75,20Zm12,7.27h-3l-.27-1.58v0l-1.45,0-1.21.06-.25,1.59H45.63l2.89-9.54h3.57l2.61,9.54ZM51,23.52l-.65-3.13h-.18l-.83,3.13H51Zm8.75-5.93a7.22,7.22,0,0,1,2.39.4l-.5,2.34-.19.12a3.58,3.58,0,0,0-.89-.33,4,4,0,0,0-.93-.12,1.5,1.5,0,0,0-1.29.52,2.91,2.91,0,0,0-.4,1.75,3.66,3.66,0,0,0,.46,2.08,1.6,1.6,0,0,0,1.42.66,6.49,6.49,0,0,0,.93-.08,4.79,4.79,0,0,0,.89-.23l.23.14-.23,2.33a6.69,6.69,0,0,1-2.05.28A4.81,4.81,0,0,1,56,26.22a5,5,0,0,1-1.2-3.62,5.07,5.07,0,0,1,1.29-3.7,4.91,4.91,0,0,1,3.65-1.31Zm10,7.34.16.21-.17,2.15H63l.15-2.8L63,17.75h6.84L70,18l-.2,2.15L67.48,20H66l0,1.35h1.46l1.53-.05.17.21-.18,2.15-1.71,0H65.87v.56l0,.82H67.3l2.45-.09Zm7.49-2.55a2.6,2.6,0,0,1,1.35.79A2.13,2.13,0,0,1,79,24.54a2.32,2.32,0,0,1-1.22,2.17,7.55,7.55,0,0,1-3.63.68c-.9,0-2,0-3.17-.1l.15-2.8L71,17.75h4.26a4.4,4.4,0,0,1,2.53.63,2.06,2.06,0,0,1,.92,1.82,2.31,2.31,0,0,1-.38,1.3,2.46,2.46,0,0,1-1.08.89Zm-1.55-1.77a.74.74,0,0,0-.36-.71A3.15,3.15,0,0,0,74,19.7h-.13l-.06,1.95,1.1,0a1.26,1.26,0,0,0,.61-.38,1.12,1.12,0,0,0,.19-.7Zm-1,4.84a1.51,1.51,0,0,0,1-.27.89.89,0,0,0,.34-.76.77.77,0,0,0-.19-.55,1.63,1.63,0,0,0-.65-.35l-1.42,0,0,.65,0,1.19,1,.06Zm9.68-7.87a4.17,4.17,0,0,1,3.22,1.23,5,5,0,0,1,1.13,3.47,5.45,5.45,0,0,1-1.24,3.83A4.56,4.56,0,0,1,84,27.47a4.14,4.14,0,0,1-3.21-1.25,5.07,5.07,0,0,1-1.13-3.53,5.33,5.33,0,0,1,1.24-3.78,4.59,4.59,0,0,1,3.53-1.33Zm-.26,2.36a1.47,1.47,0,0,0-.87.2,1.08,1.08,0,0,0-.42.7,6,6,0,0,0-.13,1.45,10.51,10.51,0,0,0,.13,1.86,1.53,1.53,0,0,0,.45.89,1.57,1.57,0,0,0,.94.25,1.6,1.6,0,0,0,.87-.2,1.11,1.11,0,0,0,.42-.71,6.71,6.71,0,0,0,.13-1.47,9.38,9.38,0,0,0-.14-1.84,1.2,1.2,0,0,0-1.38-1.13ZM94,17.58a4.16,4.16,0,0,1,3.21,1.23,4.92,4.92,0,0,1,1.14,3.47,5.45,5.45,0,0,1-1.25,3.83,4.54,4.54,0,0,1-3.53,1.36,4.11,4.11,0,0,1-3.21-1.25,5,5,0,0,1-1.14-3.53,5.34,5.34,0,0,1,1.25-3.78A4.58,4.58,0,0,1,94,17.58Zm-.27,2.36a1.51,1.51,0,0,0-.87.2,1.17,1.17,0,0,0-.42.7,6.62,6.62,0,0,0-.12,1.45,9.63,9.63,0,0,0,.13,1.86,1.2,1.2,0,0,0,1.39,1.14,1.6,1.6,0,0,0,.87-.2,1.2,1.2,0,0,0,.42-.71,6.83,6.83,0,0,0,.12-1.47,9.53,9.53,0,0,0-.13-1.84,1.2,1.2,0,0,0-1.39-1.13Zm11.15,2.33q1.35,2.11,3.09,4.4l0,.33a26.4,26.4,0,0,1-2.95.47l-.32-.18q-1.51-2.58-2.47-4.38l0,1.29.12,3.09h-3l.15-2.8-.15-6.74h3l-.11,4,1.83-2.94.5-1h3.13l-2.8,4.52Z" />
                                <path class="cls-4" d="M42.72,19.59l0,1.71h1l1.71,0,.17.21-.18,2.15-1.9-.05h-.86v.2l.12,3.09h-3l.15-2.8-.15-6.74h6.37l.16.21-.19,2.15-2.36-.09Zm12,7.27h-3l-.27-1.58v0l-1.45,0-1.21.06-.25,1.59H45.63l2.89-9.54h3.57l2.61,9.54ZM51,23.09,50.34,20h-.18l-.83,3.13H51Zm8.75-5.93a7,7,0,0,1,2.39.4l-.5,2.34-.19.12a3.58,3.58,0,0,0-.89-.33,4,4,0,0,0-.93-.13,1.5,1.5,0,0,0-1.29.53,2.9,2.9,0,0,0-.4,1.74,3.68,3.68,0,0,0,.46,2.09,1.6,1.6,0,0,0,1.42.66,6.49,6.49,0,0,0,.93-.08,5.73,5.73,0,0,0,.89-.23l.23.14-.23,2.33a6.69,6.69,0,0,1-2.05.28A4.78,4.78,0,0,1,56,25.78a5,5,0,0,1-1.2-3.61,5.07,5.07,0,0,1,1.29-3.7,4.91,4.91,0,0,1,3.65-1.31Zm10,7.34.16.21-.17,2.15H63l.15-2.8L63,17.32h6.84l.17.21-.2,2.15-2.34-.09H66l0,1.35h1.46l1.53-.05.17.21-.18,2.15-1.71,0H65.87v.56l0,.82H67.3l2.45-.09ZM77.24,22a2.6,2.6,0,0,1,1.35.79A2.1,2.1,0,0,1,79,24.1a2.32,2.32,0,0,1-1.22,2.18,7.55,7.55,0,0,1-3.63.68c-.9,0-2,0-3.17-.1l.15-2.8L71,17.32h4.26a4.4,4.4,0,0,1,2.53.63,2.06,2.06,0,0,1,.92,1.82,2.31,2.31,0,0,1-.38,1.3,2.46,2.46,0,0,1-1.08.89Zm-1.55-1.77a.74.74,0,0,0-.36-.71,3.15,3.15,0,0,0-1.35-.2h-.13l-.06,1.95,1.1,0a1.26,1.26,0,0,0,.61-.38,1.12,1.12,0,0,0,.19-.7Zm-1,4.84a1.51,1.51,0,0,0,1-.27A.89.89,0,0,0,76,24a.77.77,0,0,0-.19-.55,1.63,1.63,0,0,0-.65-.35l-1.42,0,0,.65,0,1.19,1,.06Zm9.68-7.87a4.17,4.17,0,0,1,3.22,1.23,5,5,0,0,1,1.13,3.47,5.45,5.45,0,0,1-1.24,3.83A4.56,4.56,0,0,1,84,27a4.14,4.14,0,0,1-3.21-1.25,5.09,5.09,0,0,1-1.13-3.53,5.33,5.33,0,0,1,1.24-3.78,4.59,4.59,0,0,1,3.53-1.33Zm-.26,2.36a1.56,1.56,0,0,0-.87.19,1.14,1.14,0,0,0-.42.7,6,6,0,0,0-.13,1.46,10.51,10.51,0,0,0,.13,1.86,1.53,1.53,0,0,0,.45.89,1.57,1.57,0,0,0,.94.25,1.6,1.6,0,0,0,.87-.2,1.13,1.13,0,0,0,.42-.71,6.71,6.71,0,0,0,.13-1.47,9.38,9.38,0,0,0-.14-1.84,1.2,1.2,0,0,0-1.38-1.13ZM94,17.15a4.16,4.16,0,0,1,3.21,1.23,4.92,4.92,0,0,1,1.14,3.47,5.45,5.45,0,0,1-1.25,3.83A4.54,4.54,0,0,1,93.6,27a4.11,4.11,0,0,1-3.21-1.25,5,5,0,0,1-1.14-3.53,5.34,5.34,0,0,1,1.25-3.78A4.58,4.58,0,0,1,94,17.15Zm-.27,2.36a1.61,1.61,0,0,0-.87.19,1.23,1.23,0,0,0-.42.7,6.72,6.72,0,0,0-.12,1.46,9.63,9.63,0,0,0,.13,1.86,1.2,1.2,0,0,0,1.39,1.14,1.6,1.6,0,0,0,.87-.2,1.23,1.23,0,0,0,.42-.71,6.83,6.83,0,0,0,.12-1.47,9.53,9.53,0,0,0-.13-1.84,1.2,1.2,0,0,0-1.39-1.13Zm11.15,2.32Q106.26,24,108,26.24l0,.33A26.4,26.4,0,0,1,105,27l-.32-.18q-1.51-2.58-2.47-4.38l0,1.29.12,3.09h-3l.15-2.8-.15-6.74h3l-.11,4,1.83-2.94.5-1h3.13l-2.8,4.51Z" />
                                <path class="cls-3" d="M.39,31.09a2.36,2.36,0,0,0,.7,1.67,2.31,2.31,0,0,0,1.66.69H120.13a2.31,2.31,0,0,0,1.66-.69,2.36,2.36,0,0,0,.7-1.67l.39-28.93V31.09a2.75,2.75,0,0,1-2.75,2.75H2.75A2.75,2.75,0,0,1,0,31.09V2.16L.39,31.09Z" />
                                <path class="cls-4" d="M25.49,17.23a9.65,9.65,0,1,0-11.14,9.53V20H11.88V17.23h2.47V15.11A3.4,3.4,0,0,1,18,11.35a13.73,13.73,0,0,1,2.15.2V13.9H18.92a1.4,1.4,0,0,0-1.58,1.51v1.81H20L19.59,20H17.34v6.75a9.62,9.62,0,0,0,8.15-9.52Z" />
                                <path class="cls-3" d="M41.5,9.43l0,1h.59l1,0,.1.12-.1,1.27-1.13,0h-.5v.11l.07,1.83H39.76l.09-1.65-.09-4h3.76l.09.12L43.5,9.49l-1.39-.06Zm4.12,2.46.07,1.83H43.94L44,12.07l-.09-4h1.77l-.09,3.79Zm6.19,0,.07,1.84H50l-1.58-3H48.3v1l.07,2H46.78l.09-1.65-.09-4h1.9l1.58,3h.1l0-2.94,1.6-.1-.1,3.82Zm3.68-3.82a2.57,2.57,0,0,1,1.91.68,2.64,2.64,0,0,1,.66,1.94A3.24,3.24,0,0,1,57.29,13a2.94,2.94,0,0,1-2.22.81c-.6,0-1.31,0-2.12-.08L53,12.07,53,8.1l2.54,0ZM55.4,12.5a.7.7,0,0,0,.62-.32,2.08,2.08,0,0,0,.22-1.08,4.43,4.43,0,0,0-.09-1,1,1,0,0,0-.28-.52.78.78,0,0,0-.53-.16c-.22,0-.44,0-.65,0l-.06,2.44,0,.54a5.54,5.54,0,0,0,.75.07ZM64.59,11v.89a1.79,1.79,0,0,1-.64,1.47,2.84,2.84,0,0,1-1.82.51,2.65,2.65,0,0,1-1.74-.51,1.75,1.75,0,0,1-.57-1.47l0-.89,0-2.85h1.75l-.08,3.51a.89.89,0,0,0,.17.64.74.74,0,0,0,.57.2.8.8,0,0,0,.6-.2.94.94,0,0,0,.17-.64L62.88,8.1h1.77L64.59,11ZM67.7,8a4.5,4.5,0,0,1,1.64.31l-.28,1.41-.25.11a4,4,0,0,0-.72-.36,1.66,1.66,0,0,0-.57-.13.61.61,0,0,0-.32.08.23.23,0,0,0-.11.21.32.32,0,0,0,.17.28,5.07,5.07,0,0,0,.6.31,8.46,8.46,0,0,1,.8.4,2,2,0,0,1,.55.51,1.41,1.41,0,0,1,.23.81,1.72,1.72,0,0,1-.29,1,2.09,2.09,0,0,1-.83.68,2.91,2.91,0,0,1-1.25.25,5.8,5.8,0,0,1-1.86-.33L65.46,12l.17-.1a3.84,3.84,0,0,0,.86.48,2.16,2.16,0,0,0,.76.18.54.54,0,0,0,.35-.09.24.24,0,0,0,.11-.2.36.36,0,0,0-.19-.31,3.89,3.89,0,0,0-.6-.31,8.35,8.35,0,0,1-.79-.39,1.87,1.87,0,0,1-.53-.52,1.35,1.35,0,0,1-.23-.8,1.69,1.69,0,0,1,.3-1,2,2,0,0,1,.82-.7A2.94,2.94,0,0,1,67.7,8Zm6.07,0a2.44,2.44,0,0,1,1.9.73,2.91,2.91,0,0,1,.67,2A3.2,3.2,0,0,1,75.6,13a2.66,2.66,0,0,1-2.08.8,2.42,2.42,0,0,1-1.89-.73A3,3,0,0,1,71,11a3.14,3.14,0,0,1,.73-2.23A2.7,2.7,0,0,1,73.77,8Zm-.15,1.39a.87.87,0,0,0-.51.12.67.67,0,0,0-.25.41,3.73,3.73,0,0,0-.08.86,6,6,0,0,0,.08,1.1.83.83,0,0,0,.27.52.86.86,0,0,0,.55.15.89.89,0,0,0,.51-.12.67.67,0,0,0,.25-.42,3.83,3.83,0,0,0,.07-.86,5.08,5.08,0,0,0-.08-1.09.88.88,0,0,0-.26-.52.86.86,0,0,0-.55-.15Zm8.32,2.5L82,13.72H80.12l-1.58-3h-.11v1l.07,2H76.91L77,12.07l-.09-4H78.8l1.59,3h.1l0-2.94,1.6-.1-.1,3.82Z" />
                                <path class="cls-4" d="M41.26,9.14l0,1h.59l1,0,.1.12-.11,1.27-1.12,0h-.5v.11l.07,1.82H39.52l.09-1.65-.09-4h3.75l.1.12-.11,1.27-1.39,0Zm4.12,2.46.07,1.82H43.7l.09-1.65-.09-4h1.77l-.09,3.8Zm6.19,0,.07,1.83H49.75l-1.59-3h-.1v1l.07,2H46.54l.09-1.65-.09-4h1.89l1.59,3h.1l0-2.95,1.6-.09-.1,3.82Zm3.67-3.82a2.56,2.56,0,0,1,1.91.67,2.67,2.67,0,0,1,.67,1.94A3.2,3.2,0,0,1,57,12.69a2.9,2.9,0,0,1-2.21.81c-.6,0-1.31,0-2.12-.08l.08-1.65-.08-4,2.53,0Zm-.08,4.44a.69.69,0,0,0,.62-.33A2,2,0,0,0,56,10.81a5.15,5.15,0,0,0-.08-1,1.06,1.06,0,0,0-.28-.53.86.86,0,0,0-.53-.16,4.63,4.63,0,0,0-.65,0l-.07,2.44,0,.54c.35,0,.6.07.76.07Zm9.19-1.56v.9A1.85,1.85,0,0,1,63.7,13a2.86,2.86,0,0,1-1.82.51A2.62,2.62,0,0,1,60.14,13a1.78,1.78,0,0,1-.58-1.47l0-.9L59.54,7.8h1.74l-.08,3.51a1,1,0,0,0,.17.65.77.77,0,0,0,.58.19.78.78,0,0,0,.59-.19,1,1,0,0,0,.18-.65L62.64,7.8h1.77l-.06,2.85ZM67.46,7.7a4.65,4.65,0,0,1,1.63.3l-.28,1.42-.24.1a3.4,3.4,0,0,0-.72-.35A1.71,1.71,0,0,0,67.28,9a.58.58,0,0,0-.32.07.26.26,0,0,0-.12.21.35.35,0,0,0,.18.29,5.4,5.4,0,0,0,.6.3,7,7,0,0,1,.79.41,1.66,1.66,0,0,1,.55.51,1.33,1.33,0,0,1,.24.8,1.67,1.67,0,0,1-.29,1,2.1,2.1,0,0,1-.83.69,3.08,3.08,0,0,1-1.26.25A5.7,5.7,0,0,1,65,13.2l.25-1.51.17-.11a3.64,3.64,0,0,0,.86.48,2.11,2.11,0,0,0,.76.18.62.62,0,0,0,.35-.08.26.26,0,0,0,.11-.2.35.35,0,0,0-.19-.31,3.16,3.16,0,0,0-.6-.31,6.37,6.37,0,0,1-.79-.4,1.71,1.71,0,0,1-.53-.51,1.37,1.37,0,0,1-.23-.8,1.7,1.7,0,0,1,.3-1A2,2,0,0,1,66.25,8a2.76,2.76,0,0,1,1.21-.25Zm6.07,0a2.47,2.47,0,0,1,1.9.72,3,3,0,0,1,.66,2.05,3.22,3.22,0,0,1-.73,2.26,2.69,2.69,0,0,1-2.08.8,2.41,2.41,0,0,1-1.89-.74,3,3,0,0,1-.67-2.08,3.15,3.15,0,0,1,.73-2.23,2.71,2.71,0,0,1,2.08-.78Zm-.15,1.39a.93.93,0,0,0-.52.12.66.66,0,0,0-.25.41,4.46,4.46,0,0,0-.07.86,5.84,5.84,0,0,0,.08,1.09.85.85,0,0,0,.26.52.89.89,0,0,0,.56.15.92.92,0,0,0,.51-.12.66.66,0,0,0,.25-.41,3.87,3.87,0,0,0,.07-.87,5.79,5.79,0,0,0-.08-1.08.85.85,0,0,0-.26-.52.88.88,0,0,0-.55-.15Zm8.32,2.5.07,1.83h-1.9l-1.58-3h-.1v1l.07,2H76.67l.08-1.65-.08-4h1.89l1.58,3h.11l-.06-2.95,1.6-.09-.09,3.82Z" />
                            </svg>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>